export declare class CoreString {
    static isBoolean(word: string): boolean;
    static toBoolean(word: string): boolean;
    static isNumber(word: string): boolean;
    static tailDigits(word: string): number;
    static increment(word: string): string;
    static pluralize(word: string): string;
    static camelCase(str: string): string;
    static upperFirst(word: string): string;
    static titleize(word: string): string;
    static precision(val: number, decimals?: number): string;
    static ensureFloat(num: number): string;
    static matchMask(word: string, mask: string): boolean;
    static matchesOneMask(word: string, masks: string[]): boolean;
    static attribNames(word: string): string[];
    static indices(indices_string: string): number[];
    static escapeLineBreaks(word: string): string;
}
